# $Id: recurse.r,v 1.4 2016/03/15 06:07:27 rolf Exp rolf $
subroutine recurse(fy,xispd,tpm,epsilon,kstate,nc,wrk,xlc,alpha,beta,gamma,xi)
#
implicit double precision(a-h,o-z)

# Realised that there is no need to dimension variables that
# are just being passed on to other subroutines so that their
# indices are not used in the current subroutine!!!

# Update the alpha's.
	call afun(fy,xispd,tpm,epsilon,nc,kstate,wrk,xlc,alpha)

# Update the beta's.
	call bfun(fy,xispd,tpm,epsilon,nc,kstate,wrk,beta)

# Update the gamma's.
	call gfun(alpha,beta,epsilon,nc,kstate,wrk,gamma)

# Update the xi's.
	call xfun(alpha,beta,fy,tpm,epsilon,nc,kstate,wrk,xi)

return
end
